<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PresenceChannel;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use App\Credential;

class CredentialDeleted implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $credential;

    /**
     * Create a new event instance.
     *
     * @return void
     */
    public function __construct($credential)
    {
        $array = json_decode($credential, true);
        $this->credential = $array;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return \Illuminate\Broadcasting\Channel|array
     */
    public function broadcastOn()
    {
        if ($this->credential['pcid'] != 0) {
            return new Channel('credlist.pcid.'.$this->credential['pcid']);
        } else {
            return new Channel('credlist.groupid.'.$this->credential['groupid']);
        }
    }
}
